"use strict";
const common_vendor = require("../../../common/vendor.js");
const BILL_outstanding_fee_index_model = require("../index/model.js");
const BILL_outstanding_fee_index_method = require("../index/method.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/sendWxWork.js");
require("../../../common/libraries/naviHelper.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "HeadSearchBtn",
  setup(__props) {
    const btn_list = [
      { label: "1天未催缴", value: "1" },
      { label: "3天未催缴", value: "3" },
      { label: "7天未催缴", value: "7" },
      { label: "15天未催缴", value: "15" }
    ];
    const handleSelect = (e) => {
      if (BILL_outstanding_fee_index_model.useModel.formData.value.uncollected_days === (e == null ? void 0 : e.value)) {
        BILL_outstanding_fee_index_model.useModel.formData.value.uncollected_days = void 0;
      } else {
        BILL_outstanding_fee_index_model.useModel.formData.value.uncollected_days = e == null ? void 0 : e.value;
      }
      BILL_outstanding_fee_index_method.method.handleSearch();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(btn_list, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: `item_${index}`,
            c: common_vendor.n(`item_btn ${common_vendor.unref(BILL_outstanding_fee_index_model.useModel).formData.value.uncollected_days === (i == null ? void 0 : i.value) ? "active" : ""}`),
            d: common_vendor.o(($event) => handleSelect(i))
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f677089c"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/components/HeadSearchBtn.vue"]]);
wx.createComponent(Component);
